KILLALL(1)

IME
killall - ubije imenovane procese

UPORABA
killall [-Z, --context pattern] [-e, --exact] [-g, --process-group] [-i, --interactive] [-n, --ns PID] [-o, --older-than TIME] [-q, --quiet] [-r, --regexp] [-s, --signal SIGNAL, -SIGNAL] [-u, --user user] [-v, --verbose] [-w, --wait] [-y, --younger-than TIME] [-I, --ignore-case] [-V, --version] [--] name ...
killall -l, --list
killall -V, --version

OPIS
killall pošalje signal svim procesima koji izvode bilo koju od navedenih naredbi. Ako nije navedeno ime signala, šalje se SIGTERM.

Signals can be specified either by name (e.g. -HUP or -SIGHUP) or by number (e.g. -1) or by option -s.

Ako ime naredbe nije regularni izraz (opcija -r), a sadrži kosu crtu (/), procesi koji izvršavaju tu određenu datoteku bit će odabrani za ubijanje, neovisno o njihovom imenu.

killall završi uspješno (završi s kodom nula) ako je za svaku navedenu naredbu ubijen barem jedan postupak ili ako nije navedena nijedna naredba i ako je barem jedan postupak odgovarao kriterijima pretraživanja -u i -Z. killall u suprotnom završi neuspješno (završi s kodom različitim od nule).

killall proces nikada ne ubije samog sebe (ali može ubiti druge killall procese).

OPCIJE

-e, --exact
    Zahtijeva se točno podudaranje za vrlo duga imena. Ako je ime naredbe duže od 15 znakova, puno ime možda neće biti dostupno (tj. zamijenjeno je). U ovom će slučaju killall ubiti sve što se podudara unutar prvih 15 znakova. -e preskače takve unose. killall ispiše poruku za svaki preskočeni unos ako je uz -e naveden i -v.

-I, --ignore-case
    Zanemari veličinu slova prilikom podudaranja.

-g, --process-group
    Ubije procesnu grupu kojoj pripada proces. Signal ubijanja pošalje se samo jednom po grupi, čak i ako je pronađeno više procesa koji pripadaju istoj grupi procesa.

-i, --interactive
    Interaktivno pita za potvrdu prije ubijanja.

-l, --list
    Ispiše imena svih poznatih signala.

-n, --ns
    Traži procese samo u imenskom prostoru koji se podudara s navedenim PID-om. Zadano, pretražuju se svi imenski prostori.

-o, --older-than
    Podudara samo procese koji su stariji (pokrenuti prije) od navedenog vremena. Vrijeme se specificira kao decimalni broj s pomičnom točkom, a zatim slijedi jedinica za vrijeme. Jedinice su s, m, h, d, w, M, y za sekunde, minute, sate, dane, tjedne, mjesece i godine.

-q, --quiet
    Ne žali se ako nijedan proces nije ubijen.

-r, --regexp
    Razmatra uzorak imena procesa kao POSIX prošireni regularni izraz, prema regex(3).

-s, --signal, -SIGNAL
    Pošalje taj signal umjesto SIGTERM.

-u, --user
    Ubije samo procese koje posjeduje navedeni korisnik. Imena naredbi nisu obavezna.

-v, --verbose
    Javi ako je signal uspješno poslan.

-V, --version
    Pokaže informacije o inačici.

-w, --wait
    Čeka dok svi ubijeni procesi ne umru. killall provjerava jedanput svake sekunde postoji li još uvijek neki od ubijenih procesa i završi s uspjehom samo ako nijedan više nije živ. Imajte na umu da killall može zauvijek čekati ako je signal zanemaren, nije imao učinka ili ako postupak ostane u zombi stanju.

-y, --younger-than
    Podudara samo procese koji su mlađi (pokrenuti kasnije) od navedenog vremena. Vrijeme se specificira kao decimalni broj s pomičnom točkom, a zatim slijedi jedinica za vrijeme. Jedinice su s, m, h, d, w, M, y za sekunde, minute, sate, dane, tjedne, mjesece i godine.

-Z, --context
    Navedite sigurnosni kontekst: ubije samo procese čiji se sigurnosni kontekst podudara s uzorkom danim proširenim regularnim izrazom. Mora prethoditi ostalim argumentima u naredbenom retku. Imena naredbi nisu obavezna.

FILES

/proc
    lokacija proc datotečnog sustava

POZNATE GREŠKE
Ubijanje pomoću datoteke funkcionira samo za izvršne datoteke koje drže datoteke otvorene tijekom izvršavanja. Drugim riječima, nečiste izvršne datoteke ne mogu se ubiti na ovaj način.

Imajte na umu da naredba killall name možda neće imati željeni učinak na ne-Linux sustavima, posebno, ako to radi privilegirani korisnik.

killall -w ne otkriva nestaje li proces i zamjenjuje ga novi proces s istim PID-om između skaniranja.

Ako procesi promijene svoje ime, killall ih možda neće moći ispravno podudariti.

killall ima ograničenje na broj imena koja se mogu specificirati u naredbenom retku. Taj broj je "unsigned long integer" pomnožen s 8. Za većinu 32-bitnih sustava ograničenje je 32, a za 64-bitni sustav je obično 64.

POGLEDAJTE TAKOĐER
kill(1), fuser(1), pgrep(1), pidof(1), pkill(1), ps(1), kill(2), regex(3).